summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorLinus Nordberg <linus@nordu.net>2012-04-10 15:55:57 +0200
committerLinus Nordberg <linus@nordu.net>2012-04-12 17:26:13 +0200
commit8b7224cfaf6961c48c018e6cfc500d577c8caaac (patch)
tree9b0b5b56cc4e31b084976472a874d2504167d0c9 /tools
parent39e90a8cfdfe5bc95d2d01aa680e328c3476ff33 (diff)
Don't treat exit 10 from dynamic scripts differently from any other non-zero code.
clientwr() should treat the dynamic lookup as a failure and will not be any happier to know that the exact error was that it didn't resolv. The script can do whatever logging is wanted. That said, this commit also makes the scripts exit with 10 in order to signal failure.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/naptr-eduroam.sh2
-rwxr-xr-xtools/radsec-dynsrv.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/tools/naptr-eduroam.sh b/tools/naptr-eduroam.sh
index 43d3d9f..6497549 100755
--- a/tools/naptr-eduroam.sh
+++ b/tools/naptr-eduroam.sh
@@ -70,4 +70,4 @@ if [ -n "${SERVERS}" ]; then
exit 0
fi
-exit 0
+exit 10 # No server found.
diff --git a/tools/radsec-dynsrv.sh b/tools/radsec-dynsrv.sh
index 4d00f32..3150018 100755
--- a/tools/radsec-dynsrv.sh
+++ b/tools/radsec-dynsrv.sh
@@ -48,4 +48,4 @@ if test -n "${SERVERS}" ; then
exit 0
fi
-exit 0
+exit 10 # No server found.